package com.simpledbbook;

public class Attribute {

  private String name;
  private String value;
  private boolean replace;

  public Attribute(String name, String value) {
    this(name, value, false);
  }

  public Attribute(String attName, String val, boolean repl) {
    name = attName;
    value = val;
    replace = repl;
  }

  public String toString() {
    return String.format("{%s:%s}", name, value);
  }

  public String getName() {
    return name;
  }

  public void setName(String n) {
    name = n;
  }

  public String getValue() {
    return value != null ? value : "";
  }

  public void setValue(String val) {
    value = val;
  }

  public boolean isReplace() {
    return replace;
  }

  public void setReplace(boolean repl) {
    replace = repl;
  }
}
