package com.simpledbbook.metadata;

import com.simpledbbook.util.*;

public class ConsistentHash {
    private static final long BASIS_32 = 2166136261L;
    private static final long PRIME_32 = 16777619L;

    public static int hash(String key) {
        long hash = BASIS_32;
        for (byte b : key.getBytes(URLEncoder.UTF_8)) {
            hash ^= 0xFF & b;
            hash *= PRIME_32;
        }
        return (int) hash;
    }
}
