package com.simpledbbook.servlet;

import java.io.IOException;
import javax.servlet.ServletException;
import javax.servlet.http.*;

import com.simpledbbook.tasklist.AuthenticationFailure;

public class Logout extends BaseServlet {
  private static final long serialVersionUID = 1L;

  protected void doGet(HttpServletRequest request,
      HttpServletResponse response) throws ServletException,
      IOException {

    deleteSessionCookie(response);
    response.sendRedirect("./");
    try {
      app.logOut(getUserCookie(request), getSessionCookie(request));
    } catch (AuthenticationFailure af) {
    } // ignore
  }
}
